Bug 165515 - [RHEL4] gdm doesn't always respawn itself when the user presses ctrl-alt-backspace
[RHEL4] gdm doesn't always respawn itself when the user presses ctrl-alt-back...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gdm (Show other bugs)
4.0
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
desktop-bugs@redhat.com
:
Depends On:
Blocks: 234251
  Show dependency treegraph
 
Reported: 2005-08-09 20:39 EDT by Zachary Reneau
Modified: 2010-10-21 23:14 EDT (History)
3 users (show)

See Also:
Fixed In Version: RHBA-2008-0733
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 15:58:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 419301 None None None Never

  None (edit)
Description Zachary Reneau 2005-08-09 20:39:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050719 Red Hat/1.0.6-1.4.1 Firefox/1.0.6

Description of problem:
I noticed this bug after a fresh install of RHEL4 and was able to reproduce it on two different test beds from different source media on different platforms. I also did a full up2date and the problem remains.

In short if you boot to runlevel 5 and then login with any user via the gdm login and then Ctrl-Alt-Backspace to kill X it does not respawn as expected. If you switch to another console and kill the '/usr/bin/gdm-binary -nodaemon' process X will respawn immediately. It should be noted that if you do not login to gdm and simply Ctrl-Alt-Backspace at the login screen it will respawn X as expected. The problem only arises after a user has logged in.

Version-Release number of selected component (if applicable):
gdm-2.6.0.5-7.rhel4.1

How reproducible:
Always

Steps to Reproduce:
1. Boot to runlevel 5
2. Log in with any user
3. Ctrl-Alt-Backspace
  

Additional info:
Comment 1 Zachary Reneau 2005-08-09 20:49:15 EDT
Something else I just noticed that I want to comment on is when you kill X at
the login screen, X does respawn, but you get an error that "The greeter seems
to be crashing. I will attempt to use a different one." or something to that
effect pops up. After you click okay you get a more basic logon prompt. Once you
login and Ctrl-Alt-Backspace the original issues reoccurs.
Comment 6 RHEL Product and Program Management 2007-11-28 23:26:47 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 13 errata-xmlrpc 2008-07-24 15:58:44 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0733.html

Note You need to log in before you can comment on or make changes to this bug.